Bug 1468547 - RFE: support pruning Jobs and Pods
RFE: support pruning Jobs and Pods
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.5.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Eric Paris
Xiaoli Tian
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-07 07:37 EDT by Jaspreet Kaur
Modified: 2018-04-11 16:16 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaspreet Kaur 2017-07-07 07:37:09 EDT
3. What is the nature and description of the request?

We would like to request that "oc adm prune" be extended to include Jobs and Pods, so that we can prune out the 1000s of Completed pods 

 

4. Why does the customer need this? (List the business requirements here)

To avoid a build up of unused resources.
 

5. How would the customer like to achieve this? (List the functional requirements here)

Enhancement to oc adm prune
Comment 2 Mark Chappell 2017-07-07 07:55:27 EDT
Similar to what I think may have been the original intent of https://bugzilla.redhat.com/show_bug.cgi?id=1435228

However, the card spawned as a result of that bz seems to be focused on running oc adm prune from inside a job, rather than pruning the completed jobs:
https://trello.com/c/5T5MsGCj/784-jobs-as-an-administrator-of-openshift-i-want-prune-commands-to-run-as-jobs-on-the-cluster

(We already run oc adm prune from within containers using "oc observe", to prune specific namespaces when they start build configs)
Comment 5 Marc Jadoul 2017-09-28 05:04:25 EDT
Hello,

I opened the following Redhat support case which seems related on Openshift 3.4.
CASE 01941544

Currently:
*    successfulJobsHistoryLimit: 5"
    failedJobsHistoryLimit: 5"
Seems to have no effect in 3.4?

* Job nubers are not random and are reccuring. Old existing complete jobs block new job scheduling!

* There is no way to delete jobs except ... oc delete jobs of course?

Regards,
Marc

Note You need to log in before you can comment on or make changes to this bug.